import request from '@/utils/request'

// 查询人员列表
export function listPersons(query) {
  return request({
    url: '/sfa/persons/list',
    method: 'get',
    params: query
  })
}

// 查询人员详细
export function getPersons(personId) {
  return request({
    url: '/sfa/persons/' + personId,
    method: 'get'
  })
}

// 新增人员
export function addPersons(data) {
  return request({
    url: '/sfa/persons',
    method: 'post',
    data: data
  })
}

// 修改人员
export function updatePersons(data) {
  return request({
    url: '/sfa/persons',
    method: 'put',
    data: data
  })
}

// 删除人员
export function delPersons(personId) {
  return request({
    url: '/sfa/persons/' + personId,
    method: 'delete'
  })
}
